@import "../../../../styles/constants";
@import "src/styles/vendors/animate/animate";

.landing_page {
  h2 {
    font-size: 24px;
    font-weight: 600;
    line-height: 44px;
  }

  &__banner {
    position: relative;
    height: 48vw;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }

    &__content {
      padding-top: 60px;
      position: absolute;
      top: 0;
      left: 0;
      background: #00295fb2;
      height: 100%;
      width: 100%;
    }

    &__container {
      @include fadeInLeft();
      display: flex;
      flex-direction: column;
      height: 100%;
      margin: 0 auto;
      justify-content: center;

      h1 {
        margin-bottom: 18px;
        color: white;
        font-size: 42px;
        font-weight: 600;
        line-height: 140%;
        width: 45%;
      }

      &__subtitle {
        font-size: map-get($map: $title-sizes, $key: "small");
        line-height: 174%;
        color: white;
      }
    }
  }

  &__reason {
    padding: 50px 0;

    &__row {
      display: flex;
      justify-content: space-between;
    }

    &__card {
      width: 23%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      box-shadow: 0 16px 40px 0 #9aaacf33;
      border-radius: 4px;
      padding: 32px 28px;

      &__icon {
        @include even-size(55px);

        img {
          width: 90%;
        }
      }

      &__title {
        font-size: 14px;
        font-weight: 600;
      }
    }
  }

  &__program {
    padding-top: 60px;
    display: flex;
    flex-direction: column;
    row-gap: 70px;

    &__column {
      display: flex;
      flex-direction: column;
    }

    &__header {
      display: flex;
      flex-direction: column;
      align-items: center;
      row-gap: 6px;

      &__title {
        font-size: 24px;
        font-weight: 600;
        color: #231f20;
        text-align: center;
      }

      &__subtitle {
        font-size: 16px;
        font-weight: 400;
        line-height: 24px;
        color: #231f20;
        text-align: center;
      }
    }

    &__content {
      margin-top: 32px;
    }

    &__container {
      display: flex;
      flex-direction: column-reverse;
      position: relative;
    }

    &__row {
      display: flex;
      position: relative;
      margin-left: -12px;
      margin-right: -12px;
    }

    &__item {
      padding: 16px 12px;
    }

    &__link {
      margin-top: 36px;
      width: 35%;
      padding: 12px;
      border-radius: 4px;
      font-weight: 600;
      background-color: $dark-blue;
    }
  }

  &__company {
    background: #f6f7f7;
    padding-top: 30px;
    margin-top: 60px;

    &__container {
      h2 {
        text-align: center;
        margin-bottom: 50px;
      }
    }

    &__column {
      display: flex;
      flex-direction: column;
      justify-content: center;
    }

    &__row {
      display: flex;
      width: 80%;
      margin: 0 auto 50px;
      justify-content: space-between;
      align-items: center;

      &__img {
        display: flex;
        align-items: center;
        justify-content: center;

        img {
          height: 4.5vw;
          object-fit: contain;
        }
      }

      &--top {
        .img-container:nth-child(2) {
          img {
            height: 60%;
          }
        }
      }
    }

    @include mobile {
      font-size: map-get($map: $font-sizes, $key: "medium");
      padding: 50px 0;
      .company-row_logo-mobile {
        width: 100%;

        h2 {
          text-align: center;
          margin-bottom: 20px;
        }

        .company-column {
          display: flex;
          flex-wrap: wrap;
          justify-content: space-between;
          width: 100%;
          align-items: center;

          .image-container {
            width: 50%;
            display: flex;
            justify-content: center;
            margin-bottom: 30px;

            &:last-child {
              img {
                height: 25px;
              }
            }

            img {
              max-height: 30px;
              max-width: 80%;
            }
          }
        }
      }
    }
  }

  &__testimonial {
    position: relative;
    width: 100%;
    padding: 50px 0 25px;

    h2 {
      margin-bottom: 30px;
    }

    &__row {
      padding: 60px 0;
      margin-left: -15px;
      width: calc(100% + 2vw);
      position: relative;
    }

    &__card {
      width: calc(100% - 2vw);
      margin: auto;
      box-shadow: 0 16px 40px 0 #9aaacf33;
    }
  }

  &__faq {
    padding: 25px 0 50px;

    h2 {
      text-align: center;
      margin-bottom: 50px;
    }

    &__container {
      width: 85% !important;
      display: flex;
      justify-content: space-between;
    }

    &__accordion {
      width: 45%;
    }

    &__wrapper {
      margin-bottom: 30px;
    }

    &__header {
      background-color: #f7f9fa;
      @include bg-colors("search");
      padding: 16px;
      font-weight: 500;
      font-size: map-get($map: $font-sizes, $key: "normal");
      border-left: $green 4px solid;
    }

    &__body {
      border-left: $green 4px solid;
      font-size: map-get($map: $font-sizes, $key: "normal");
      @include bg-colors("search");
      padding: 16px;
      color: $light-grey;
    }
  }

  &__cta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 4px;
    background-color: #023c17;
    padding: 0 60px;
    margin-bottom: 50px;

    &__content {
      width: 52%;

      h3 {
        color: white;
        font-size: 34px;
        font-weight: 600;
        line-height: 50px;
        margin-bottom: 40px;
      }

      a {
        border-radius: 4px;
        font-weight: 600;
        padding: 14px 50px;
        width: fit-content;
      }
    }

    img {
      width: 40%;
      height: auto;
    }
  }

  @include mobile {
    h2 {
      font-size: map-get($map: $font-sizes, $key: "medium");
    }

    &__banner {
      height: 28vh;
      img {
        height: 100%;
        position: absolute;
      }

      &__content {
        padding-top: 0;
        position: relative;
      }

      &__container {
        width: 100%;

        h1 {
          font-size: 24px;
          line-height: 34px;
          margin-bottom: 8px;
          width: 100%;
        }

        &__subtitle {
          font-size: map-get($map: $font-sizes, $key: "small");
          line-height: 18px;
        }
      }
    }

    &__reason {
      padding: 30px 15px;

      &__row {
        flex-wrap: wrap;
      }

      &__card {
        width: 48%;
        margin-bottom: 4vw;
        padding: 10px 15px;
        justify-content: flex-start;

        &__icon {
          @include even-size(40px);
          margin-bottom: 4px;
        }

        &__title {
          font-size: 12px;
          margin-bottom: 8px;
        }
      }
    }

    &__program {
      padding-top: 40px;
      row-gap: 40px;

      &__column {
        display: flex;
        flex-direction: column;
      }

      &__header {
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 4px;

        &__title {
          font-size: 16px;
          font-weight: 600;
        }

        &__subtitle {
          font-size: 12px;
          font-weight: 400;
          line-height: 18px;
        }
      }

      &__content {
        margin-top: 24px;
      }

      &__container {
        @include slider-mobile;
      }

      &__row {
        width: fit-content;
        display: flex;
        margin-left: 0;
        padding-bottom: 5px;

        a {
          margin-left: 15px;
          margin-right: calc(6vw - 15px);
        }
      }

      &__column {
        &__wrapper {
          width: 100%;
        }

        .program-card {
          width: 100%;
          margin-right: 0;
        }
      }

      &__link {
        margin-top: 24px;
        width: 100%;
        font-size: map-get($map: $font-sizes, $key: "small");
        padding: 8px;
        font-weight: 500;
        border-radius: map-get($map: $radius, $key: "small");
        background-color: $dark-blue;
      }
    }

    &__company {
      padding: 30px 0;
      margin-top: 40px;

      h2 {
        line-height: 24px;
        margin-bottom: 30px;
      }

      &__row {
        margin-bottom: 18px;
        width: 100%;

        img {
          height: 8vw;
        }

        &--three {
          img {
            height: 9.5vw;
          }
        }

        &--four {
          img {
            height: 11vw;
          }
        }
      }
    }

    &__testimonial {
      margin-top: 30px;
      padding: 10px;
      margin-bottom: 0;

      h2 {
        margin-bottom: 20px;
      }

      &__container {
        @include slider-mobile-v2;
        padding-left: 0 !important;
        padding-right: 0 !important;
        width: calc(100% + 30px);
        margin-left: -15px;
        margin-right: -15px;
      }

      &__row {
        display: flex;
        width: fit-content;
        padding: 20px 15px 40px;
      }

      &__card {
        margin-left: 15px;
        width: 70vw;
      }
    }

    &__faq {
      padding: 30px 0;

      h2 {
        margin-bottom: 30px;
      }

      &__container {
        width: 100% !important;
        flex-direction: column;
      }

      &__accordion {
        width: 100%;
      }

      &__wrapper {
        margin-bottom: 1rem;
      }

      &__header,
      &__body {
        font-size: map-get($map: $font-sizes, $key: "xs");
      }
    }

    &__cta {
      padding: 30px 0 0;
      flex-direction: column;
      justify-content: center;

      &__content {
        width: 80%;

        h3 {
          font-size: 18px;
          text-align: center;
          line-height: 26px;
          margin-bottom: 20px;
        }

        a {
          margin: auto;
          font-size: 12px;
          padding: 10px 20px;
        }
      }

      img {
        margin-top: 20px;
        width: 70%;
      }
    }
  }
}
